/*******************************************************************************
* File Name: Tx8.h
* Version 1.50
*
* Description:
*  This file provides constants and parameter values for the Software Transmit
*  UART Component.
*
********************************************************************************
* Copyright 2013-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#ifndef CY_SW_TX_UART_Tx8_H
#define CY_SW_TX_UART_Tx8_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"

#define Tx8_BAUD_RATE                      (115200u)
#define Tx8_PIN_STATIC_MODE                (1u)


/***************************************
*        Function Prototypes
***************************************/
#if(Tx8_PIN_STATIC_MODE == 1u)
    void Tx8_Start(void) ;
#else
    void Tx8_StartEx(uint8 port, uint8 pin) ;
#endif /* (Tx8_PIN_STATIC_MODE == 1u) */

void Tx8_Stop(void) ;
void Tx8_PutChar(uint8 txDataByte) ;
void Tx8_PutString(const char8 string[]) ;
void Tx8_PutArray(const uint8 array[], uint32 byteCount) ;
void Tx8_PutHexByte(uint8 txHexByte) ;
void Tx8_PutHexInt(uint16 txHexInt) ;
void Tx8_PutCRLF(void) ;

#endif /* CY_SW_TX_UART_Tx8_H */


/* [] END OF FILE */
