//*****************************************************************************
// Application: AMC  
// Author:      Alexandre Michel
// Version:     1.00
// Date:        March 29/2019
// Target:      CY8C4014LQI-422 
// IDE tool:    PSoC Creator 4.2
// Comments:    Bluetooth and UART version
//*****************************************************************************

#include "project.h"
uint8 header[] = {0x0Du, 0x0Au};
uint8 tail[] = {0x00u, 0xFFu, 0xFFu};
int main()
{
    __enable_irq(); /* Enable global interrupts. */
    
    TX_Start(); /* Start UART SCB Component */
    
    CapSense_Start(); /* Initialize Component */
    
    CapSense_ScanAllWidgets(); /* Scan all widgets */
    
    for(;;)
    {
    /* Do this only when a scan is done */
    if(CapSense_NOT_BUSY == CapSense_IsBusy())
    {
        CapSense_ProcessAllWidgets(); /* Process all widgets */
        CapSense_RunTuner();  
        /* SENDING DATA BEGIN*/
        
        /* Send packet header */
        //TX_PutArray((uint8 *)(&header), sizeof(header)); /*delete TX_SpiUartPutArray*/
        
        /* Send packet with CapSense data */
        
        //TX_PutArray((uint8 *)(&CapSense_dsRam), sizeof(CapSense_dsRam));//????
        
        TX_PutCRLF();/*Sends a carriage return (0x0D) and a line feed (0x0A) via the Tx pin*/
        
        /*Rawcount value*/
        uint16 Rawcount = CapSense_dsRam.snsList.capteur[0u].raw[0u];
        TX_PutChar((uint8)(Rawcount>>8u));/*Sends one byte via the Tx pin*/
        TX_PutChar((uint8)(Rawcount));
        
        /*Baseline value*/
        uint16 Baseline = CapSense_dsRam.snsList.capteur[0u].bsln[0u];
        TX_PutChar((uint8)(Baseline>>8u));
        TX_PutChar((uint8)(Baseline));
        
        /*Signal = subtracting the previous baseline and noise threshold from the current raw count value of each sensor*/
        uint16 Signal = CapSense_dsRam.snsList.capteur[0u].diff; //Check if the difference is the signal
        TX_PutChar((uint8)(Signal>>8u));
        TX_PutChar((uint8)(Signal));
        
        /*Sensor parasitic capacitance*/
        uint16 Cp = CapSense_GetSensorCapacitance(0u,0u);// WDGT:0u and sensorId =0u / Enable BIST self test in CapSense 
        /* Got a value between 8pF to 32pf whe you touch it*/
        TX_PutChar((uint8)(Cp>>8u));
        TX_PutChar((uint8)(Cp));
        
        /*CMOD Value*/
        uint32 CMOD =  CapSense_GetExtCapCapacitance(CapSense_TST_CMOD_ID); /*Test it*/
        TX_PutChar((uint8)(CMOD>>8u));
        TX_PutChar((uint8)(CMOD));
        
        /* IDAC MODULATION*/ 
        uint16 IDACMOD = CapSense_dsRam.wdgtList.capteur.idacMod[0u];
        TX_PutChar((uint8)(IDACMOD>>8u));
        TX_PutChar((uint8)(IDACMOD));
        
        /*IDAC COMPENSATION*/
        uint16 IDACCOMP = CapSense_dsRam.snsList.capteur[0u].idacComp[0u];
        TX_PutChar((uint8)(IDACCOMP>>8u));
        TX_PutChar((uint8)(IDACCOMP));
        
        /*Modulator CLK*/
        uint16 Modulatorclk = CapSense_dsRam.modCsdClk;
        TX_PutChar((uint8)(Modulatorclk>>8u));
        TX_PutChar((uint8)(Modulatorclk));
        
        /*Sense CLK */
        uint16 Senseclk = CapSense_dsRam.wdgtList.capteur.snsClk;
        TX_PutChar((uint8)(Senseclk>>8u));
        TX_PutChar((uint8)(Senseclk));        
        
        
        
        /* Send packet tail */
//        TX_PutArray((uint8 *)(&tail), sizeof(tail));
        
        /* End delimiter of a packet */
        TX_PutChar(0u);
        TX_PutChar(0xFFu);
        TX_PutChar(0xFFu);


        if (CapSense_IsAnyWidgetActive()) /* Scan result verification */
        
        /*SENDING DATA END*/
      {
        
       /* add custom tasks to execute when touch detected */
        }
        CapSense_ScanAllWidgets(); /* Start next scan */
       }
    }
}


